> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apicheckout payment

> Create a new payment for a checkout



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json post /api/checkout/{checkoutId}/payment
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/checkout/{checkoutId}/payment:
    post:
      tags:
        - checkout
      description: Create a new payment for a checkout
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: true
          schema:
            type: string
        - name: idempotency-key
          in: header
          description: Opaque idempotency key for the request
          required: false
          schema:
            type: string
        - name: checkoutId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                payment:
                  oneOf:
                    - type: object
                      properties:
                        intent:
                          type: string
                          enum:
                            - new
                        type:
                          type: string
                          enum:
                            - CARD
                            - TWI
                            - PAP
                            - DIB
                            - EPS
                            - REK
                            - PFP
                            - PFC
                            - APL
                            - PAY
                        redirectUrls:
                          type: object
                          properties:
                            success:
                              type: string
                            error:
                              type: string
                            cancel:
                              type: string
                          required:
                            - success
                            - error
                            - cancel
                        saveAlias:
                          oneOf:
                            - type: object
                              properties: {}
                            - type: boolean
                            - type: boolean
                        options:
                          type: object
                          properties:
                            PAP:
                              type: object
                              properties:
                                fraudSessionId:
                                  type: string
                      required:
                        - intent
                        - type
                        - redirectUrls
                    - type: object
                      properties:
                        intent:
                          type: string
                          enum:
                            - existing
                        paymentDetailId:
                          type: number
                        redirectUrls:
                          type: object
                          properties:
                            success:
                              type: string
                            error:
                              type: string
                            cancel:
                              type: string
                          required:
                            - success
                            - error
                            - cancel
                      required:
                        - intent
                        - paymentDetailId
                        - redirectUrls
              required:
                - payment
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: >-
                      #/components/schemas/V2025_02_18_PostCheckoutPaymentResponse
                required:
                  - data
components:
  schemas:
    V2025_02_18_PostCheckoutPaymentResponse:
      type: object
      properties:
        redirectUrl:
          type: string
      required:
        - redirectUrl

````